<?php

/*Clase Sesiones que permite realizar las verificaciones de Sesiones del Sistema.

Atributos:

   NombreSesion: Nombre de la Sesion.

   Variable Sesion: Variable que identifica al Sistema.

Metodos:

   MVerifica: Verifica que exista alguna Sesión.

   MEntradaIncorrecta: Redirecciona a la página inicial pues no se encontro alguna Sesión.

   MFinSesion: Mensaje de Fin se Sesión

*/

class Sesiones

{
   public $NombreSesion="almacen";
   private $VariableSesion="almacenvar";


 public function MVerifica($RutaPath)

   {

      session_name($this->NombreSesion);

      session_start();

      //verifica que existan las variables de sesión.

	   //if(!$_SESSION[$this->VariableSesion])

       //if (!session_is_registered($this->VariableSesion))

	   //echo "-->".$_SESSION["IdUsuario"]."<--";

	  if(!isset($_SESSION["VariableSesion"]))

       {

          $this->MEntradaIncorrecta("No ha iniciado Sesi&oacute;n",$RutaPath);

          exit();

       }

   }



 public  function MEntradaIncorrecta($Motivo,$RutaPath)

   {  include($RutaPath.'Librerias/Configuracion.phtml');

      echo'<meta http-equiv="refresh" content="0;URL='.$_DireccionBase.'index.php?Motivo='.$Motivo.'">' ;

      exit();

   }



 public  function MFinSesion($RutaPath)

   {  $this->MEntradaIncorrecta("Sesi&oacute;n Finalizada",$RutaPath);

      exit();

   }

}

?>